ALAS-2018-971


Amazon Linux AMI Security Advisory: ALAS-2018-971
Advisory Release Date: 2018-03-16 22:54 Pacific
Severity: Important
References: CVE-2018-1068 

Issue Overview:

Out-of-bounds write via userland offsets in ebt_entry struct in netfilter/ebtables.c:
A flaw was found in the Linux kernel's implementation of 32-bit syscall interface for bridging. This allowed a privileged user to arbitrarily write to a limited range of kernel memory. (CVE-2018-1068 )


Affected Packages:

kernel


Issue Correction:
Run yum update kernel to update your system. You will need to reboot your system in order for the new kernel to be running.

New Packages:
i686:
    kernel-tools-4.9.85-38.58.amzn1.i686
    kernel-4.9.85-38.58.amzn1.i686
    kernel-headers-4.9.85-38.58.amzn1.i686
    kernel-tools-devel-4.9.85-38.58.amzn1.i686
    kernel-debuginfo-4.9.85-38.58.amzn1.i686
    kernel-devel-4.9.85-38.58.amzn1.i686
    perf-debuginfo-4.9.85-38.58.amzn1.i686
    kernel-debuginfo-common-i686-4.9.85-38.58.amzn1.i686
    perf-4.9.85-38.58.amzn1.i686
    kernel-tools-debuginfo-4.9.85-38.58.amzn1.i686

noarch:
    kernel-doc-4.9.85-38.58.amzn1.noarch

src:
    kernel-4.9.85-38.58.amzn1.src

x86_64:
    kernel-debuginfo-common-x86_64-4.9.85-38.58.amzn1.x86_64
    kernel-tools-4.9.85-38.58.amzn1.x86_64
    kernel-tools-debuginfo-4.9.85-38.58.amzn1.x86_64
    kernel-tools-devel-4.9.85-38.58.amzn1.x86_64
    kernel-4.9.85-38.58.amzn1.x86_64
    kernel-headers-4.9.85-38.58.amzn1.x86_64
    kernel-debuginfo-4.9.85-38.58.amzn1.x86_64
    perf-4.9.85-38.58.amzn1.x86_64
    perf-debuginfo-4.9.85-38.58.amzn1.x86_64
    kernel-devel-4.9.85-38.58.amzn1.x86_64